machine:
  services:
    - docker
    - memcached
    - redis
    - rabbitmq-server
  post:
    - sudo rm -rf /usr/local/go
    - wget https://storage.googleapis.com/golang/go1.9.2.linux-amd64.tar.gz
    - sudo tar -C /usr/local -xzf go1.9.2.linux-amd64.tar.gz
    - go version

dependencies:
  override:
    - docker info

test:
  override:
    - bash scripts/circle-test.sh
